<?php

function clear_old_files(){

$expire_time = 300; // Время через которое файл считается устаревшим (в сек.)

$dir = $_SERVER['DOCUMENT_ROOT']."/downloads/";
// проверяем, что $dir - каталог
if (is_dir($dir)) {
// открываем каталог
if ($dh = opendir($dir)) {
// читаем и выводим все элементы
// от первого до последнего
while (($file = readdir($dh)) !== false) {

// текущее время
$time_sec=time();
// время изменения файла
$time_file=filemtime($dir . $file);
// теперь узнаем сколько прошло времени (в секундах)
$time=$time_sec-$time_file;

$unlink = $_SERVER['DOCUMENT_ROOT'].'/downloads/'.$file;

if (is_file($unlink)){
if ($time>$expire_time){
unlink($unlink);
}

}
}
// закрываем каталог
closedir($dh);
}
}

}
?>